Bug 804262 - httpd_nolog.conf needs both GEAR and APP variables
httpd_nolog.conf needs both GEAR and APP variables
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-17 00:31 EDT by Rob Millner
Modified: 2015-05-14 18:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 14:23:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
compare env log (1.90 KB, application/octet-stream)
2012-03-19 07:45 EDT, Johnny Liu
no flags Details

  None (edit)
Description Rob Millner 2012-03-17 00:31:57 EDT
Cartridge httpd_nolog.conf contains a PassEnv variable that restricts which variables come in from the environment.  It should allow both GEAR and APP variants of variables.
Comment 1 Rob Millner 2012-03-17 00:59:43 EDT
PERL is the only nolog.conf which does this.

Fixed in commit e87d1af.
Comment 2 Johnny Liu 2012-03-19 07:43:31 EDT
Verified this bug with devenv_stage_164, and PASS.

$ sdiff perl_env.log.old perl_env.log.new
							      >	OPENSHIFT_GEAR_TYPE=perl-5.10
OPENSHIFT_APP_CTL_SCRIPT=/var/lib/libra/595b5c8913d34b3aa8afd |	OPENSHIFT_APP_CTL_SCRIPT=/var/lib/stickshift/595b5c8913d34b3a
SCRIPT_FILENAME=/var/lib/libra/595b5c8913d34b3aa8afd30f03f2d8 |	SCRIPT_FILENAME=/var/lib/stickshift/595b5c8913d34b3aa8afd30f0
							      >	OPENSHIFT_GEAR_DNS=perltest-jialiutest1.dev.rhcloud.com
							      >	OPENSHIFT_GEAR_DIR=/var/lib/stickshift/595b5c8913d34b3aa8afd3
OPENSHIFT_APP_DIR=/var/lib/libra/595b5c8913d34b3aa8afd30f03f2 |	OPENSHIFT_APP_DIR=/var/lib/stickshift/595b5c8913d34b3aa8afd30
							      >	OPENSHIFT_GEAR_NAME=perltest
REMOTE_PORT=16543					      |	REMOTE_PORT=25886
OPENSHIFT_HOMEDIR=/var/lib/libra/595b5c8913d34b3aa8afd30f03f2 |	OPENSHIFT_HOMEDIR=/var/lib/stickshift/595b5c8913d34b3aa8afd30
OPENSHIFT_RUN_DIR=/var/lib/libra/595b5c8913d34b3aa8afd30f03f2 |	OPENSHIFT_RUN_DIR=/var/lib/stickshift/595b5c8913d34b3aa8afd30
HTTP_CACHE_CONTROL=max-age=0				      |	HTTP_CACHE_CONTROL=max-age=2400000
OPENSHIFT_LOG_DIR=/var/lib/libra/595b5c8913d34b3aa8afd30f03f2 |	OPENSHIFT_LOG_DIR=/var/lib/stickshift/595b5c8913d34b3aa8afd30
PATH=/usr/libexec/li/cartridges/perl-5.10/info/bin/:/usr/libe | PATH=/usr/libexec/stickshift/cartridges/perl-5.10/info/bin/:/
OPENSHIFT_REPO_DIR=/var/lib/libra/595b5c8913d34b3aa8afd30f03f |	OPENSHIFT_REPO_DIR=/var/lib/stickshift/595b5c8913d34b3aa8afd3
OPENSHIFT_DATA_DIR=/var/lib/libra/595b5c8913d34b3aa8afd30f03f |	OPENSHIFT_DATA_DIR=/var/lib/stickshift/595b5c8913d34b3aa8afd3
							      >	OPENSHIFT_GEAR_UUID=595b5c8913d34b3aa8afd30f03f2d849
OPENSHIFT_NOSQL_DB_CTL_SCRIPT=/var/lib/libra//595b5c8913d34b3 |	OPENSHIFT_NOSQL_DB_CTL_SCRIPT=/var/lib/stickshift//595b5c8913
OPENSHIFT_APP_DNS=perltest-jialiutest1.dev.rhcloud.com	      |	OPENSHIFT_APP_DNS=perltest-jialiutest1.dev.rhcloud.com
							      >	OPENSHIFT_GEAR_CTL_SCRIPT=/var/lib/stickshift/595b5c8913d34b3
Comment 3 Johnny Liu 2012-03-19 07:45:46 EDT
Created attachment 571093 [details]
compare env log
Comment 4 Johnny Liu 2012-03-19 07:46:46 EDT
Oops, the above output is messed up, so upload comparison result via attachment.

Note You need to log in before you can comment on or make changes to this bug.